summaryrefslogtreecommitdiffstats
path: root/multimedia/ffmpeg2theora/ffmpeg2theora.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/ffmpeg2theora/ffmpeg2theora.SlackBuild')
-rw-r--r--multimedia/ffmpeg2theora/ffmpeg2theora.SlackBuild35
1 files changed, 17 insertions, 18 deletions
diff --git a/multimedia/ffmpeg2theora/ffmpeg2theora.SlackBuild b/multimedia/ffmpeg2theora/ffmpeg2theora.SlackBuild
index 47a9b0515a..e0928a7735 100644
--- a/multimedia/ffmpeg2theora/ffmpeg2theora.SlackBuild
+++ b/multimedia/ffmpeg2theora/ffmpeg2theora.SlackBuild
@@ -4,15 +4,15 @@
# Home Page http://v2v.cc/~j/ffmpeg2theora/
-# Copyright (c) 2008, Nishant Limbachia (nishant@mnspace.net)
+# Copyright (c) 2008-2009, Nishant Limbachia, Hoffman Est, IL, USA (nishant@mnspace.net)
# All rights reserved.
-#
+
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
-#
+
# 1. Redistributions of script must retain the above copyright notice,
# this list of conditions and the following disclaimer.
-#
+
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
@@ -24,7 +24,7 @@
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
+#
# Modified by SlackBuilds.org --dsomero,rworkman
PRGNAM=ffmpeg2theora
@@ -51,7 +51,7 @@ set -e
rm -fr $TMP/$PRGNAM-$VERSION $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $TMP/$PRGNAM-$VERSION
chown -R root.root .
find . \
@@ -60,14 +60,18 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-scons
-scons install prefix=$PKG/usr
+### make & install using scons
+scons install APPEND_CCFLAGS="$SLKCFLAGS" prefix=/usr destdir=$PKG
+
+### copying essential doc files
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a AUTHORS COPYING ChangeLog INSTALL README TODO \
+subtitles.txt $PKG/usr/doc/$PRGNAM-$VERSION
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null ||true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null ||true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -75,13 +79,8 @@ scons install prefix=$PKG/usr
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS COPYING ChangeLog INSTALL README TODO subtitles.txt \
- $PKG/usr/doc/$PRGNAM-$VERSION
-
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}